### Method

# Gimp Config deserialize_properties

#### Declaration [src]

    gboolean
    gimp_config_deserialize_properties (
      GimpConfig* config,
      GScanner* scanner,
      gint nest_level
    )

#### Description [src]

This function uses the `scanner` to configure the properties of `config`.

Available since: | 2.4

#### Parameters

`scanner` | `GScanner`
| A `GScanner`.
| The data is owned by the caller of the function.
`nest_level` | `gint`
| The nest level.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, `FALSE` otherwise.